RAWMEMCHR(3)

NAME
rawmemchr - find character in memory

SYNOPSIS

#include <string.h>

void *rawmemchr(const void *src, int c);

DESCRIPTION

This function searches memory starting at *src for the character c. The search only ends with the first occurrence of c; in particular, NUL does not terminate the search. No bounds checking is performed, so this function should only be used when it is certain that the character c will be found.

RETURNS

A pointer to the first occurance of character c.

PORTABILITY

rawmemchr is a GNU extension.

rawmemchr requires no supporting OS subroutines.